Skip to main content
PUT
Control Worker Sync

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

syncId
string<uuid>
required

Represents a configuration key that serves as a unique identifier for configuration entities.

Body

application/json

Request parameters

Controls a worker sync (start, stop or restart). Deprecated: use "POST /v2/worker/syncs/{syncId}/start", ".../stop" or ".../restart" ("StartWorkerSync", "StopWorkerSync", "RestartWorkerSync") instead. - Request

action
enum<integer>
required

The control action to execute.

Available options:
0,
1,
2

Response

The action was invoked.